user  nginx;
worker_processes  1;

events {
  worker_connections  1024;
}

http {
  include /etc/nginx/mime.types;
  client_max_body_size 100m;

  upstream backend {
    server api:8000;
  }

  upstream frontend {
    server app:8080;
  }


  server {
    listen 80;
    charset utf-8;

    # app urls
    location / {
      proxy_redirect off;
      proxy_pass http://frontend;
      proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
      proxy_set_header Host $http_host;
    }

    # app dev-server
    location /sockjs-node {
      proxy_redirect off;
      proxy_pass http://frontend;
      proxy_set_header X-Real-IP  $remote_addr;
      proxy_set_header X-Forwarded-For $remote_addr;
      proxy_set_header Host $host;
      proxy_set_header Upgrade $http_upgrade;
      proxy_set_header Connection "upgrade";
    }

    # api urls
    location ~ ^/(api|admin) {
      rewrite /api/?(.*) /$1 break;
      proxy_redirect off;
      proxy_pass http://backend;
      proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
      proxy_set_header Host $http_host;
    }

    # Static files 
    location /static/admin {
      proxy_pass http://backend;
    }

#    # api files
#    location ~ ^/(staticfiles|media)/(.*)$ {
#      alias /$1/$2;
#    }
  }
}
